> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset

> Retrieves a specific asset in the Assets Library.



## OpenAPI

````yaml openapi-assets-api.json GET /components/v1/asset/{name}
openapi: 3.0.3
info:
  title: Assets API
  version: 1.0.0
servers:
  - url: https://api-sandbox.appcharge.com
security:
  - PublisherTokenAuth: []
tags:
  - name: Assets
paths:
  /components/v1/asset/{name}:
    parameters:
      - in: path
        name: name
        required: true
        schema:
          type: string
          example: gold_coins_icon
        description: Asset name.
    get:
      tags:
        - Assets
      description: Retrieves a specific asset in the Assets Library.
      responses:
        '200':
          description: Asset details retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetResponse'
        '404':
          description: Asset not found.
components:
  schemas:
    AssetResponse:
      type: object
      properties:
        id:
          type: string
          description: Asset ID.
          example: 507f1f77bcf86cd799439011
        name:
          type: string
          description: Asset name.
          example: gold_coins_icon
        type:
          type: string
          description: Asset category.
          enum:
            - product
            - badge
            - bgMobile
            - bgDesk
            - logo
            - favicon
            - bgBundle
            - bgPopup
            - general
            - section
            - productPrefix
            - playerLevel
            - banner
            - addToHomeButtonImage
            - addToHomeIconImage
            - playerProfileImage
            - offerHeader
            - backToGameButtonImage
            - animation
            - trait
          example: product
        imageUrl:
          type: string
          format: url
          description: >-
            Image URL. For uploaded files, this is the Appcharge-hosted CDN URL.
            For external image URLs, this is the original image URL served from
            your CDN at the provided URL.
          example: https://media.appcharge.com/media/691d8c9f127412f152236889baf5
        contentType:
          type: string
          description: >-
            Image [MIME
            type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Guides/MIME_types).
          example: image/png
        externalImageUrl:
          type: string
          format: url
          description: >-
            Original image URL if the asset uses an external image URL. This URL
            is served from your CDN at the provided URL.
          example: https://example.com/assets/gold_coins_icon.png
  securitySchemes:
    PublisherTokenAuth:
      type: apiKey
      in: header
      name: x-publisher-token
      description: Publisher token, as displayed in the Publisher Dashboard.

````